import React, { Component } from 'react';
import RulePopup from './rulePopup/index';
import './index.scss';

class BlessingPrehead extends Component {
  constructor(props) {
    super(props);
    this.state = {
      isRule: true
    };
  }

  handleToHide = () => {
    this.setState({
      isRule: false
    });
  }

  render() {
    const { isRule } = this.state;
    return (
      <div>
        22222
        {
          isRule && 
          <RulePopup handleToHide={this.handleToHide} />
        }
        
      </div>
    );
  }
}

export default BlessingPrehead;